org.springframework.ldap.core.simple

## Class ContextMapperCallbackHandlerWithControls

- java.lang.Object
- - org.springframework.ldap.core.CollectingNameClassPairCallbackHandler<T>
  - - org.springframework.ldap.core.ContextMapperCallbackHandler
    - - org.springframework.ldap.core.simple.ContextMapperCallbackHandlerWithControls

- All Implemented Interfaces:
    NameClassPairCallbackHandler

  Deprecated.
  use `ContextMapperCallbackHandlerWithControls` instead.

      public class ContextMapperCallbackHandlerWithControls
      extends ContextMapperCallbackHandler

  Currently only per request controls can be inspected via the post process method on a context processor. If a request control gives a different value for each search result, then this cannot be inspected using the existing support classes. An example control that requires this feature would be 1.3.6.1.4.1.42.2.27.9.5.8 Account usability control, that can be used with for example the Sun ONE or the OpenDS directory servers. The extended callback handler can pass hasControls to mapper.
  Author:
    Tim Terry, Ulrik Sandberg

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContextMapperCallbackHandlerWithControls(ParameterizedContextMapperWithControls<?> mapper)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getObjectFromNameClassPair(NameClassPair nameClassPair)` Deprecated. Cast the NameClassPair to a `Binding` and pass its object to the ContextMapper.

    - ### Methods inherited from class org.springframework.ldap.core.CollectingNameClassPairCallbackHandler

      `getList, handleNameClassPair`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContextMapperCallbackHandlerWithControls

          public ContextMapperCallbackHandlerWithControls(ParameterizedContextMapperWithControls<?> mapper)

      Deprecated.

  - ### Method Detail

    - #### getObjectFromNameClassPair

          public Object getObjectFromNameClassPair(NameClassPair nameClassPair)

      Deprecated.
      Description copied from class: `ContextMapperCallbackHandler`
      Cast the NameClassPair to a `Binding` and pass its object to the ContextMapper.
      Overrides:
        `getObjectFromNameClassPair` in class `ContextMapperCallbackHandler`
      Parameters:
        `nameClassPair` - a Binding instance.
      Returns:
        the Object returned from the mapper.